# oneview_enclosure_info – Retrieve information about one or more Enclosures

New in version 2.5.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Retrieve information about one or more of the Enclosures from OneView.

- This module was called `oneview_enclosure_facts` before Ansible 2.9, returning `ansible_facts`. Note that the oneview_enclosure_info module no longer returns `ansible_facts`!

Aliases: oneview_enclosure_facts

## Requirements

The below requirements are needed on the host that executes this module.

- hpOneView >= 2.0.1

- python >= 2.7.9

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

config
path

Path to a .json configuration file containing the OneView client configuration. The configuration file is optional and when used should be present in the host running the ansible commands. If the file path is not provided, the configuration will be loaded from environment variables. For links to example configuration files or how to use the environment variables verify the notes section.

name - |  | Enclosure name.
options - |  | List with options to gather additional information about an Enclosure and related resources. Options allowed: `script`, `environmentalConfiguration`, and `utilization`. For the option `utilization`, you can provide specific parameters.
params dictionary |  | List of params to delimit, filter and sort the list of resources. params allowed: - `start`: The first item to return, using 0-based indexing. - `count`: The number of resources to return. - `filter`: A general filter/query string to narrow the list of items returned. - `sort`: The sort order of the returned data set.

## Notes

Note

- A sample configuration file for the config parameter can be found at: https://github.com/HewlettPackard/oneview-ansible/blob/master/examples/oneview_config-rename.json

- Check how to use environment variables for configuration at: https://github.com/HewlettPackard/oneview-ansible#environment-variables

- Additional Playbooks for the HPE OneView Ansible modules can be found at: https://github.com/HewlettPackard/oneview-ansible/tree/master/examples

- The OneView API version used will directly affect returned and expected fields in resources. Information on setting the desired API version and can be found at: https://github.com/HewlettPackard/oneview-ansible#setting-your-oneview-version

## Examples

    - name: Gather information about all Enclosures
      oneview_enclosure_info:
        hostname: 172.16.101.48
        username: administrator
        password: my_password
        api_version: 500
      no_log: true
      delegate_to: localhost
      register: result
    - debug:
        msg: "{{ result.enclosures }}"

    - name: Gather paginated, filtered and sorted information about Enclosures
      oneview_enclosure_info:
        params:
          start: 0
          count: 3
          sort: name:descending
          filter: status=OK
        hostname: 172.16.101.48
        username: administrator
        password: my_password
        api_version: 500
      no_log: true
      delegate_to: localhost
      register: result
    - debug:
        msg: "{{ result.enclosures }}"

    - name: Gather information about an Enclosure by name
      oneview_enclosure_info:
        name: Enclosure-Name
        hostname: 172.16.101.48
        username: administrator
        password: my_password
        api_version: 500
      no_log: true
      delegate_to: localhost
      register: result
    - debug:
        msg: "{{ result.enclosures }}"

    - name: Gather information about an Enclosure by name with options
      oneview_enclosure_info:
        name: Test-Enclosure
        options:
          - script                       # optional
          - environmentalConfiguration   # optional
          - utilization                  # optional
        hostname: 172.16.101.48
        username: administrator
        password: my_password
        api_version: 500
      no_log: true
      delegate_to: localhost
      register: result
    - debug:
        msg: "{{ result.enclosures }}"
    - debug:
        msg: "{{ result.enclosure_script }}"
    - debug:
        msg: "{{ result.enclosure_environmental_configuration }}"
    - debug:
        msg: "{{ result.enclosure_utilization }}"

    - name: "Gather information about an Enclosure with temperature data at a resolution of one sample per day, between two
             specified dates"
      oneview_enclosure_info:
        name: Test-Enclosure
        options:
          - utilization:                   # optional
              fields: AmbientTemperature
              filter:
                - startDate=2016-07-01T14:29:42.000Z
                - endDate=2017-07-01T03:29:42.000Z
              view: day
              refresh: false
        hostname: 172.16.101.48
        username: administrator
        password: my_password
        api_version: 500
      no_log: true
      delegate_to: localhost
      register: result
    - debug:
        msg: "{{ result.enclosures }}"
    - debug:
        msg: "{{ result.enclosure_utilization }}"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
enclosure_environmental_configuration dictionary | When requested, but can be null. | Has all the OneView information about the environmental configuration of an Enclosure.
enclosure_script string | When requested, but can be null. | Has all the OneView information about the script of an Enclosure.
enclosure_utilization dictionary | When requested, but can be null. | Has all the OneView information about the utilization of an Enclosure.
enclosures dictionary | Always, but can be null. | Has all the OneView information about the Enclosures.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Felipe Bulsoni (@fgbulsoni)

- Thiago Miotto (@tmiotto)

- Adriane Cardozo (@adriane-cardozo)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.